> ## Documentation Index
> Fetch the complete documentation index at: https://docs.notifique.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Listar e-mails recebidos

> Lista e-mails inbound persistidos no workspace. Escopo **`email:inbound:read`**. Filtros: `q` (busca em subject, from, to, bodyText), `domainId`, `dateFrom`, `dateTo` (createdAt). Resposta com `preview` (280 caracteres), `emailDomain` e paginação. Com **`domainIds`** na chave, só e-mails dos domínios permitidos (igual a `/v1/email/messages`).



## OpenAPI

````yaml /es/emails-api/api-reference/openapi-email.json get /v1/email/inbound
openapi: 3.0.3
info:
  title: Notifique API. E-mail
  description: >-
    Envie e-mails, gerencie domínios (envio e recebimento inbound), e consulte
    status. Autentique com `Authorization: Bearer sk_live_...` ou `x-api-key`.
  version: 1.0.0
servers:
  - url: https://api.notifique.dev
    description: Produção
security:
  - ntfEmailBearerAuth: []
  - ntfEmailApiKeyHeader: []
tags:
  - name: E-mail
    description: Envio e consulta de e-mails
  - name: Domínios
    description: Registro, verificação DNS (envio e inbound)
  - name: E-mails recebidos
    description: Listagem e detalhe de e-mails inbound persistidos (`email:inbound:read`)
  - name: Dominios
paths:
  /v1/email/inbound:
    get:
      tags:
        - E-mails recebidos
      summary: Listar e-mails recebidos
      description: >-
        Lista e-mails inbound persistidos no workspace. Escopo
        **`email:inbound:read`**. Filtros: `q` (busca em subject, from, to,
        bodyText), `domainId`, `dateFrom`, `dateTo` (createdAt). Resposta com
        `preview` (280 caracteres), `emailDomain` e paginação. Com
        **`domainIds`** na chave, só e-mails dos domínios permitidos (igual a
        `/v1/email/messages`).
      operationId: ntfEmail_getV1EmailInbound
      parameters:
        - name: page
          in: query
          schema:
            type: string
        - name: limit
          in: query
          schema:
            type: string
        - name: q
          in: query
          schema:
            type: string
          description: Busca em subject, from, to, bodyText.
        - name: domainId
          in: query
          schema:
            type: string
        - name: dateFrom
          in: query
          schema:
            type: string
            format: date-time
        - name: dateTo
          in: query
          schema:
            type: string
            format: date-time
      responses:
        '200':
          description: Lista paginada.
          content:
            application/json:
              example:
                success: true
                data:
                  - id: clinb_01H...
                    from: cliente@externo.com
                    to: suporte@seudominio.com
                    subject: Dúvida sobre pedido
                    preview: 'Olá, gostaria de saber o status do pedido #1234...'
                    createdAt: '2026-08-14T15:00:00.000Z'
                    emailDomainId: cldom_01H...
                    emailDomain:
                      id: cldom_01H...
                      domain: seudominio.com
                pagination:
                  total: 42
                  page: 1
                  limit: 20
                  totalPages: 3
              schema:
                $ref: '#/components/schemas/ntfEmail_GetV1EmailInboundResponse'
        '400':
          description: '`domainId` não existe neste workspace.'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NtfEmail_ErrorResponse'
              example:
                success: false
                error: Bad Request
                message: domainId does not exist in this workspace
                code: BAD_REQUEST
        '401':
          description: API Key ausente ou inválida.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NtfEmail_ErrorResponse'
              example:
                success: false
                error: Bad Request
                code: VALIDATION_ERROR
                message: Campo inválido ou ausente.
        '403':
          description: >-
            Escopo `email:inbound:read` ausente ou `domainId` fora dos
            `domainIds` da chave.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NtfEmail_ErrorResponse'
              example:
                success: false
                error: Forbidden
                message: >-
                  Access denied to this email domain. Check API key domain
                  restrictions.
                code: FORBIDDEN
components:
  schemas:
    ntfEmail_GetV1EmailInboundResponse:
      type: object
      properties:
        success:
          type: boolean
        data:
          type: array
          items:
            type: object
            properties:
              id:
                type: string
              from:
                type: string
              to:
                type: string
              subject:
                type: string
              preview:
                type: string
              createdAt:
                type: string
              emailDomainId:
                type: string
              emailDomain:
                type: object
                properties:
                  id:
                    type: string
                  domain:
                    type: string
        pagination:
          type: object
          properties:
            total:
              type: integer
            page:
              type: integer
            limit:
              type: integer
            totalPages:
              type: integer
      example:
        success: true
        data:
          - id: clxx...
            from: '5511999999999'
            to: '5511999999999'
            subject: string
            preview: string
            createdAt: string
            emailDomainId: clxx...
            emailDomain:
              id: clxx...
              domain: string
        pagination:
          total: 1
          page: 1
          limit: 1
          totalPages: 1
    NtfEmail_ErrorResponse:
      type: object
      properties:
        success:
          type: boolean
          example: false
        error:
          type: string
          description: 'Rótulo HTTP do erro (ex.: Unauthorized, Bad Request, Not Found).'
        message:
          type: string
          description: >-
            Mensagem legível para exibir ao usuário (localizada via
            Accept-Language / x-locale quando aplicável).
        code:
          type: string
          description: >-
            Código estável da API v1 (enum). Sempre presente em erros. Use com o
            status HTTP para decidir retry ou correção. Ver [Respostas de
            erro](/guides/conceitos/resposta-de-erros).
        details:
          type: array
          items:
            type: object
            properties:
              field:
                type: string
              message:
                type: string
        data:
          type: object
          description: 'Dados adicionais em alguns erros (ex.: status do e-mail em cancel).'
          properties:
            status:
              type: string
              example: QUEUED
            id:
              type: string
              example: clxx...
            domain:
              type: string
              example: seudominio.com
      required:
        - success
        - error
        - message
        - code
      example:
        success: false
        error: string
        message: string
        code: string
        details:
          - field: string
            message: string
        data: {}
  securitySchemes:
    ntfEmailBearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: >-
        API Key no header Authorization. Exemplo: `Authorization: Bearer
        sk_live_xxxxx`
    ntfEmailApiKeyHeader:
      type: apiKey
      in: header
      name: x-api-key
      description: 'API Key no header x-api-key. Exemplo: `x-api-key: sk_live_xxxxx`'

````